// import apis from './apis'
import req from './request'
// import qs from 'qs'
// import utils from '@/utils/index.js'

let api = {}
// 体检客户详情
api.getCustomerDetail = function (data) {
  return req.post('/api/mn/mobile/getCustomerDetail', data)
}
// 修改客户信息
api.improveInformation = function (data) {
  return req.post('/api/mn/mobile/improveInformation', data)
}
// 待预约列表
api.getPackageList = function (data) {
  return req.post('/api/mn/mobile/getPackageList', data)
}
// 已预约列表
api.getAppointmentList = function (data) {
  return req.post('/api/mn/mobile/getAppointmentList', data)
}
// 省
api.getProvinceList = function (data) {
  return req.post('/api/mobile/getProvinceList', data)
}
// 市
api.getCityListByProvinceCode = function (data) {
  return req.post('/api/mobile/getCityListByProvinceCode', data)
}
// 区/城市
api.getDistrictListByCityCode = function (data) {
  return req.post('/api/mobile/getDistrictListByCityCode', data)
}
// 体检机构列表
api.getSupplierList = function (data) {
  return req.post('/api/mn/mobile/getSupplierList', data)
}
// 体检中心列表
api.getShopByDistrictCode = function (data) {
  return req.post('/api/mn/mobile/getShopByDistrictCode', data)
}
// 门店排期
api.getScheduleByCode = function (data) {
  return req.post('/api/mn/mobile/getScheduleByCode', data)
}
// 预约
api.addAppointment = function (data) {
  return req.post('/api/mn/mobile/addAppointment', data)
}
export default api
